Peplink Portal Docs

Create a tag

Create a tag.

Request

POST/tags

Body parameters

labelstringrequired

Label of the tag to create. It cannot be duplicated with your other tags.

Response

A json of the created tag is returned in the response body with the following fields:

idstring

ID of the tag.

labelstring

Label of the tag.

createdAtdatetime string

Time of when the tag is created.

createdBystring

Name of whom created the tag.

createdByEmailnullable string

Email of whom created the tag. null if not applicable.

updatedAtnullable datetime string

Time of when the tag is updated. null if not applicable.

updatedBynullable string

Name of whom updated the tag. null if not applicable.

updatedByEmailnullable string

Email of whom updated the tag. null if not applicable.

Examples

Request

curl -X POST 'https://portal.peplink.com/api/e/v1/cp/tags' \  -H 'Authorization: Bearer {token}' \  -H 'Content-Type: application/json' \  --data-raw  '{  "label": "Label X"}'

Response

{
  "id": "xxxxx",
  "label": "Label X",
  "createdAt": "2025-02-06T01:25:20.000Z",
  "createdBy": "Jane Doe",
  "createdByEmail": "[email protected]",
  "updatedAt": null,
  "updatedBy": null,
  "updatedByEmail": null
}

On this page